%global momorel 2
%global md5sum_src0 43fb14aadf5edbe0d3b5871f09d1647d

Name:		google-perftools
Version:	0.91
Release:	%{momorel}m%{?dist}
License:	BSD
Group:		Development/Tools
Summary:	Very fast malloc and performance analysis tools
URL:		http://code.google.com/p/google-perftools/
%NoSource 0	http://google-perftools.googlecode.com/files/google-perftools-%{version}.tar.gz %{md5sum_src0}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libunwind-devel
# No support for PPC yet. Bugzilla 238390
ExcludeArch:	ppc
Patch0:		google-perftools-0.91-norpath.patch

%description
Perf Tools is a collection of performance analysis tools, including a 
high-performance multi-threaded malloc() implementation that works
particularly well with threads and STL, a thread-friendly heap-checker,
a heap profiler, and a cpu-profiler.

%package devel
Summary:	Development libraries and headers for google-perftools
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries and headers for developing applications that use google-perftools.

%prep
%setup -q
%patch0 -p1 -b .norpath

%build
%configure --disable-static
# Bad rpath!
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# Can't build with smp_mflags
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT docdir=%{_docdir}/%{name}-%{version}/ install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# Zero files
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/NEWS

%clean
rm -rf $RPM_BUILD_ROOT

%check
# The libraries aren't installed on the system yet. :P
# The tests work fine for me locally, but some of them fail inside mock.
# LD_LIBRARY_PATH=./.libs make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_bindir}/pprof
%{_mandir}/man1/*
%{_docdir}/%{name}-%{version}/
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/google
%{_libdir}/*.so

%changelog
* Wed May 30 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.91-2m)
- import patch from Fedora

* Wed May 30 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.91-1m)
- update

* Fri Mar 23 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8-1m)
- import to Momonga Linux
